Bug 835125 - no templates
no templates
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxc (Show other bugs)
17
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
:
: 909924 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 11:31 EDT by techtonik
Modified: 2013-12-13 22:26 EST (History)
6 users (show)

See Also:
Fixed In Version: lxc-0.9.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 12:46:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description techtonik 2012-06-25 11:31:34 EDT
Description of problem:
lxc-templates package usually contains templates such as lxc-fedora to make it easy to configure OS containers. Fedora doesn't have any of these although the package exists.

Version-Release number of selected component (if applicable):
Name        : lxc-templates
Arch        : i686
Version     : 0.7.5
Release     : 1.fc17
Size        : 4.0 k
Comment 1 Thomas Moschny 2013-02-15 13:44:01 EST
*** Bug 909924 has been marked as a duplicate of this bug. ***
Comment 2 Cédric OLIVIER 2013-02-23 06:44:38 EST
Could you add some templates ?

You can find an srpm which include them here : http://www.metal3d.org/rpms/

Regards,
Comment 3 Gendre Sébastien 2013-02-28 04:46:50 EST
Same problem in Fedora 18.

About the package:
Version             : 0.7.5
Révision            : 2.fc18

It containe only a template for a LXCed SSHD.
Comment 4 Fedora Update System 2013-03-02 10:14:49 EST
lxc-0.8.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lxc-0.8.0-2.fc18
Comment 5 Fedora Update System 2013-03-02 10:15:13 EST
lxc-0.8.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxc-0.8.0-2.fc17
Comment 6 Fedora Update System 2013-03-03 17:26:04 EST
Package lxc-0.8.0-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxc-0.8.0-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3330/lxc-0.8.0-2.fc17
then log in and leave karma (feedback).
Comment 7 Gendre Sébastien 2013-03-04 15:05:16 EST
After update the package lxc-templates to lxc-0.8.0-2.fc18, I lost the folder /etc/lib64/templates
Comment 8 Thomas Moschny 2013-03-04 16:47:17 EST
Sorry to hear that. However, the templates are in /usr/share/lxc/templates/, and as fare as I can see, they never have been in /etc/lib64/templates for the Fedora package.
Comment 9 Enrique 2013-03-08 19:10:50 EST
 Good news that there are LXC templates now. However the lxc-fedora template has a couple of issues in a F18 host:

 I have tried to create a F15 container but I get the following errors:

....
warning: /var/cache/lxc/fedora/x86_64/15/partial/fedora-release-15.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 069c8460: NOKEY
error: Failed dependencies:
        fedora-release-rawhide = 15-1 is needed by fedora-release-15-1.noarch
Loaded plugins: langpacks, presto, refresh-packagekit
fedora/$releasever/x86_64/metalink                       |  24 kB     00:00
Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=x86_64 error was
No repomd file
Error: File /var/cache/lxc/fedora/x86_64/15/partial/var/cache/yum/x86_64/$releasever/fedora/metalink.xml does not exist
Failed to download the rootfs, aborting.
Failed to download 'fedora base'
failed to install fedora
lxc-create: failed to execute template 'fedora'
lxc-create: aborted


Also, creating a F11 container fails with a different error:

installing fedora-release package
Traceback (most recent call last):
  File "/usr/bin/yum", line 4, in <module>
    import yum
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 43, in <module>
    import rpmUtils.updates
  File "/usr/lib/python2.6/site-packages/rpmUtils/updates.py", line 19, in <module>
    import rpmUtils.arch
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 325, in <module>
    canonArch = getCanonArch()
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 321, in getCanonArch
    return getCanonX86_64Arch(arch)
  File "/usr/lib/python2.6/site-packages/rpmUtils/arch.py", line 284, in getCanonX86_64Arch
    f = open("/proc/cpuinfo", "r")
IOError: [Errno 2] No such file or directory: '/proc/cpuinfo'
unlink: cannot unlink ‘/var/lib/lxc/test_11-i386/test_11-i386/rootfs/etc/systemd/system/default.target’: No such file or directory
ln: creating symbolic link `//etc/systemd/system/udev.service': No such file or directory
ln: creating symbolic link `/etc/systemd/system/default.target': No such file or directory
sed: can't read /var/lib/lxc/test_11-i386/test_11-i386/rootfs/lib/systemd/system/getty@.service: No such file or directory


  Creation of F16, F17and F18 containers seem to work.

 Regards
Comment 10 Thomas Moschny 2013-03-12 13:12:30 EDT
(In reply to comment #9)
>  I have tried to create a F15 container but I get the following errors:
> [...]
> Also, creating a F11 container fails with a different error:
> [...]
>   Creation of F16, F17and F18 containers seem to work.

Sorry, but we can/do not (and neither does upstream) support EOL'ed Fedora releases.
Comment 11 Fedora End Of Life 2013-07-04 03:46:55 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Ask Bjørn Hansen 2013-07-04 12:46:16 EDT
# rpm -qil lxc-templates
Name        : lxc-templates
Version     : 0.8.0
Release     : 2.fc19
Architecture: x86_64
Install Date: Thu 04 Jul 2013 09:44:03 AM PDT
Group       : System Environment/Libraries
Size        : 52028
License     : LGPLv2+
Signature   : RSA/SHA256, Tue 12 Mar 2013 02:46:35 PM PDT, Key ID 07477e65fb4b18e6
Source RPM  : lxc-0.8.0-2.fc19.src.rpm
Build Date  : Sat 02 Mar 2013 05:54:14 AM PST
Build Host  : buildvm-21.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://lxc.sourceforge.net
Summary     : Templates for lxc
Description :
Linux Resource Containers provide process and resource isolation without the
overhead of full virtualization.

The lxc-template package contains templates for creating containers.
/usr/share/lxc/templates/lxc-busybox
/usr/share/lxc/templates/lxc-debian
/usr/share/lxc/templates/lxc-fedora
/usr/share/lxc/templates/lxc-sshd
/usr/share/lxc/templates/lxc-ubuntu
Comment 13 Fedora Update System 2013-09-04 14:16:58 EDT
lxc-0.9.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc20
Comment 14 Fedora Update System 2013-09-04 14:17:38 EDT
lxc-0.9.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc18
Comment 15 Fedora Update System 2013-09-04 14:18:13 EDT
lxc-0.9.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.el6
Comment 16 Fedora Update System 2013-09-04 14:18:45 EDT
lxc-0.9.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lxc-0.9.0-2.fc19
Comment 17 Fedora Update System 2013-12-04 22:22:26 EST
lxc-0.9.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-05 05:30:54 EST
lxc-0.9.0-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-12-05 05:40:46 EST
lxc-0.9.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-12-13 22:26:54 EST
lxc-0.9.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.